Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.jaxp
Class SchemaReference

    java.lang.Object
      javax.xml.validation.Schema
          com.saxonica.jaxp.SchemaReference

All Implemented Interfaces:
  Serializable

    public class SchemaReference

extends Schema
implements Serializable

A reference to a Saxon prepared schema. This is a wrapper around the Saxon PreparedSchema class; the wrapper implements the JAXP Schema interface and thus allows a Saxon schema to be used via the JAXP validation API.

See Also:
  Serialized Form

Constructor Summary
`SchemaReference(PreparedSchema schema)` Create a SchemaReference to wrap a supplied PreparedSchema object

Method Summary
`PreparedSchema` | `getPreparedSchema()` Get the PreparedSchema object wrapped by this SchemaReference
`Validator` | `newValidator()` Create a new `Validator` for this `Schema`.
`ValidatorHandler` | `newValidatorHandler()` Creates a new `ValidatorHandler` for this `Schema`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaReference

    public SchemaReference(PreparedSchema schema)

  Create a SchemaReference to wrap a supplied PreparedSchema object

  Parameters:
    `schema` - the PreparedSchema to be wrapped

Method Detail

### getPreparedSchema

    public PreparedSchema getPreparedSchema()

  Get the PreparedSchema object wrapped by this SchemaReference

  Returns:
    the PreparedSchema object, which gives access to the schema components

### newValidator

    public Validator newValidator()

  Create a new `Validator` for this `Schema`.

  A validator enforces/checks the set of constraints this object represents.

  Specified by:
    `newValidator` in class `Schema`
  Returns:
    Always return a non-null valid object.

### newValidatorHandler

    public ValidatorHandler newValidatorHandler()

  Creates a new `ValidatorHandler` for this `Schema`.

  Specified by:
    `newValidatorHandler` in class `Schema`
  Returns:
    Always return a non-null valid object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.